Tornado/websocket.py error on 0.71.0 and 0.72

I encountered a local error on tornado / websocket.py. This occurs after about a minute the app is processing. Unfortunately the problem makes the app totally unusable. How can I solve? I’ve got 0.71.0 version. Thanks

From the consolle:

2020-12-12 18:25:48.790 Task exception was never retrieved
future: <Task finished name=‘Task-413’ coro=<WebSocketProtocol13.write_message..wrapper() done, defined at /home/fabio/.local/lib/python3.8/site-packages/tornado/websocket.py:1102> exception=WebSocketClosedError()>
Traceback (most recent call last):
File “/home/fabio/.local/lib/python3.8/site-packages/tornado/websocket.py”, line 1104, in wrapper
await fut
tornado.iostream.StreamClosedError: Stream is closed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/fabio/.local/lib/python3.8/site-packages/tornado/websocket.py”, line 1106, in wrapper
raise WebSocketClosedError()
tornado.websocket.WebSocketClosedError
2020-12-12 18:25:48.792 Task exception was never retrieved
future: <Task finished name=‘Task-414’ coro=<WebSocketProtocol13.write_message..wrapper() done, defined at /home/fabio/.local/lib/python3.8/site-packages/tornado/websocket.py:1102> exception=WebSocketClosedError()>
Traceback (most recent call last):
File “/home/fabio/.local/lib/python3.8/site-packages/tornado/websocket.py”, line 1104, in wrapper
await fut
tornado.iostream.StreamClosedError: Stream is closed

During handling of the above exception, another exception occurred:

etc…etc…

Hello, is there any update on this? I am facing the same issue with 0.74.1 version. Any work around? Thank you

I am also facing thesame issue. In My case:

The App is Meant to run some backend data manipulation and produce an xlsx file.

The Apps works great if the xlsx file is small. Anything above 15MB I get this error:
ERROR: Task exception was never retrieved
line 1104, in wrapper
await fut
tornado.iostream.StreamClosedError: Stream is closed

During handling of the above exception, another exception occurred:
future: <Task finished coro=<WebSocketProtocol13.write_message..wrapper() done,

Then the page refreshes, causing me to loose the download file

My streamlit version is 0.68.0

1 Like